libzypp 17.37.10

ztui::out::detail::ListLayoutInit< singleline_, wrapline_, gaped_, indent_ > Struct Template Reference

`#include <zypp-tui/output/Out.h>`

Inheritance diagram for ztui::out::detail::ListLayoutInit< singleline_, wrapline_, gaped_, indent_ >:

## Public Member Functions
| ListLayoutInit ()
Public Member Functions inherited from ztui::out::ListLayout
| ListLayout (bool singleline_r, bool wrapline_r, bool gaped_r, unsigned indent_r)

## Additional Inherited Members
Public Attributes inherited from ztui::out::ListLayout
bool | _singleline
| one list element per line
bool | _wrapline
| fold lines longer than `_linewidth`
bool | _gaped
| add extra NL before element (if singleline)
unsigned | _indent
| amount of indent

## Detailed Description

template<bool singleline_, bool wrapline_, bool gaped_, unsigned indent_>
struct ztui::out::detail::ListLayoutInit< singleline_, wrapline_, gaped_, indent_ >

Definition at line 104 of file Out.h.

## Constructor & Destructor Documentation

## ◆ ListLayoutInit()

template<bool singleline_, bool wrapline_, bool gaped_, unsigned indent_>

ztui::out::detail::ListLayoutInit< singleline_, wrapline_, gaped_, indent_ >::ListLayoutInit | ( |  | ) |
| inline

Definition at line 104 of file Out.h.

The documentation for this struct was generated from the following file:

- zypp-tui/output/Out.h